#ifndef __creaImageIOTreeAttributeMapType_h_INCLUDED__
#define __creaImageIOTreeAttributeMapType_h_INCLUDED__

#include <map>
#include <string>
#include <iostream>

namespace creaImageIO
{

	/**
	* \ingroup Tree
	*/
  namespace tree
  {
    typedef std::map<std::string,std::string> AttributeMapType;




  }

}

//=====================================================================
inline std::ostream& operator<<(std::ostream& s, 
				const creaImageIO::tree::AttributeMapType& d)
{
  creaImageIO::tree::AttributeMapType::const_iterator i;
  for (i=d.begin();i!=d.end();++i)
    {
      s << "'" << i->first << "'='" << i->second << "'" << std::endl;
    }
  return s;
}
//=====================================================================


#endif
