#ifndef __creaImageIOWxCustomizeConfigPanel_h_INCLUDED__
#define __creaImageIOWxCustomizeConfigPanel_h_INCLUDED__

#ifdef USE_WXWIDGETS
#include <creaWx.h>
#include <creaImageIOWxGimmickView.h>


namespace creaImageIO
{
  /**
   * \ingroup GUI
   */
  //=====================================================================
 //=====================================================================
  class WxCustomizeConfigPanel : public wxPanel
  {
  public:
    WxCustomizeConfigPanel();    
	WxCustomizeConfigPanel(wxWindow *parent, 
		wxDialog* dial,
		WxGimmickView* view,
		const std::string& cPath, 
		const std::string& dPath,
		const std::string& sEvent,
		const std::string& sFreq);
    
    ~WxCustomizeConfigPanel();
	///Saves the configuration
	 void OnSaveConfig(wxCommandEvent& event);

  private :
	std::string copyP;
	std::string databaseP;
	std::string syncEv;
	std::string syncFr;
    wxTextCtrl* copyPath;
	wxTextCtrl* dbPath;
	wxTextCtrl* syncEvent;
	wxTextCtrl* syncFrequency;
	wxDialog* dialog;
	WxGimmickView* mView;


  }; // class WxCustomizeConfigPanel
  //=====================================================================

  
} // EO namespace creaImageIO


#endif // USE_WIDGETS
// EOF
#endif

